import React, { Component } from 'react'
import { Radio } from 'antd'

import './index.scss'

class NormalCopy extends Component {
  state = {
    value: window.GLOB.CopyOnly === true ? 'true' : 'false'
  }

  selectChange = (val) => {
    if (val === 'true') {
      window.GLOB.CopyOnly = true
    } else {
      window.GLOB.CopyOnly = false
    }
  }

  render() {
    const { value } = this.state

    return (
      <div className="mk-normal-copy">
        元素复制：<Radio.Group defaultValue={value} onChange={(e) => {this.selectChange(e.target.value)}}>
          <Radio value="true">仅复制</Radio>
          <Radio value="false">复制+自增</Radio>
        </Radio.Group>
      </div>
    )
  }
}

export default NormalCopy